summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author vvoody2011-12-15 19:21:26 +0100
committer Niels Horn2011-12-18 03:07:51 +0100
commit1f87a7754c1599f466301a07c50742f379dc4d72 (patch)
tree3be8c76f2f5e17f6e7c4f05122c6fcba17fd80a9 /misc
parentee0d9cbd32309d14b3a0368485b0353e60fc7fd6 (diff)
downloadslackbuilds-1f87a7754c1599f466301a07c50742f379dc4d72.tar.gz
misc/fcitx-configtool: Added (configuration tool for fcitx)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/fcitx-configtool/README3
-rw-r--r--misc/fcitx-configtool/fcitx-configtool.SlackBuild77
-rw-r--r--misc/fcitx-configtool/fcitx-configtool.info10
-rw-r--r--misc/fcitx-configtool/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/misc/fcitx-configtool/README b/misc/fcitx-configtool/README
new file mode 100644
index 0000000000..f3440d1825
--- /dev/null
+++ b/misc/fcitx-configtool/README
@@ -0,0 +1,3 @@
+fcitx-configtool is a GTK-based configuration tool for fcitx.
+
+This requires libunique.
diff --git a/misc/fcitx-configtool/fcitx-configtool.SlackBuild b/misc/fcitx-configtool/fcitx-configtool.SlackBuild
new file mode 100644
index 0000000000..442b8bc792
--- /dev/null
+++ b/misc/fcitx-configtool/fcitx-configtool.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for fcitx-configtool
+
+# Written by vvoody <vvoodywang@gmail.com>
+
+PRGNAM=fcitx-configtool
+VERSION=${VERSION:-0.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake -DCMAKE_C_FLAGS:STRING=${SLKCFLAGS} \
+ -DCMAKE_CXX_FLAGS:STRING=${SLKCFLAGS} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/fcitx-configtool/fcitx-configtool.info b/misc/fcitx-configtool/fcitx-configtool.info
new file mode 100644
index 0000000000..dbb3c85450
--- /dev/null
+++ b/misc/fcitx-configtool/fcitx-configtool.info
@@ -0,0 +1,10 @@
+PRGNAM="fcitx-configtool"
+VERSION="0.3.1"
+HOMEPAGE="http://code.google.com/p/fcitx/"
+DOWNLOAD="http://fcitx.googlecode.com/files/fcitx-configtool-0.3.1.tar.bz2"
+MD5SUM="b806c53d4370738d95f37685fa3f44a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="vvoody"
+EMAIL="vvoodywang@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/fcitx-configtool/slack-desc b/misc/fcitx-configtool/slack-desc
new file mode 100644
index 0000000000..bee7fe735e
--- /dev/null
+++ b/misc/fcitx-configtool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx-configtool: fcitx-configtool (configuration tool for fcitx)
+fcitx-configtool:
+fcitx-configtool: fcitx-configtool is a GTK-based configuration tool for fcitx.
+fcitx-configtool:
+fcitx-configtool: Homepage: http://code.google.com/p/fcitx/
+fcitx-configtool:
+fcitx-configtool:
+fcitx-configtool:
+fcitx-configtool:
+fcitx-configtool:
+fcitx-configtool: